Subject: bug#5235: 23.1; Unibyte keyboard input problem

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Dec 2009 22:42:14 +0200

> From: Tomasz Zbrożek <[email-masked]>
> Date: Fri, 25 Dec 2009 12:03:29 +0100
> Cc: [email-masked], [email-masked]
> 
> The multibyte mode and its prompts for correct codepage is not problem. I 
> think it's definitelty CORRECT behaviour and it's not the case I wanted to 
> submit  to you.  
> I think that solution for the problem with two code pages in one file is 
> unibyte mode.

I think Emacs developers are much more motivated to improve the
multibyte mode than to fix the unibyte mode.  I cannot speak for the
head maintainers, but that is certainly my opinion: the unibyte mode
should simply die, as a mode for interactive editing.

You received several suggestions for trying things in multibyte mode.
Perhaps you could try them and see if they allow you to edit your
programs without screwing up the cp852 characters.  If something is
still wrong, please describe the problems here: we are much more
likely to find a solution for multibyte mode editing than for unibyte.